# logfile $main_file$lsuff displayed wit command $logform    
#
# Copyright (C) 1994  G. Lamprecht, W. Lotz, R. Weibezahn; LRW c/o Uni Bremen
# Copyright (C) 1996  G. Lamprecht, W. Lotz, R. Weibezahn; IWD, Bremen University

proc logfile {f austext} {

  upvar 1 $austext a

  global  vv logform logback logxterm logoptions main_file lsuff pid dirprefix

  writescr0 $f ""
  set a ""

  if {$dirprefix==""} {set mfile $main_file} else {set mfile [stripdir $main_file]} 

  if {$mfile==""} {set a "${a}***** $vv(ea1)\n"; mybell 2; return}

  writescr $f "[datime] $vv(lo1) $mfile$lsuff\n"


  if {[file exists $mfile$lsuff]} { 

    if {[file isfile $mfile$lsuff]} { # displaying:

      if {$logform=="cat"} {# cat ---> xtem text display window

        cat_file $mfile$lsuff $f       

      } else {

        # "logform" builds its own window (e.g. emacs) or "logform" is called
        # in an xterm window (e.g. vi), depending on variable "logxterm"
       if {$logxterm==""} {signal block SIGCHLD}
	eval set res [catch "exec $logxterm $logform $logoptions \
							$mfile$lsuff $logback" message]
       if {$logxterm==""} {signal unblock SIGCHLD}
        set pid "$message"

      }

    } else {                                 # is no regular file!

     set a "${a}***** $vv(aus5) \"$mfile$lsuff\"  $vv(aus6)\n"
     mybell 2

    }

  } else {                                 # logfile deosn't exist!

   set a "${a}***** $vv(lo4) \"$mfile$lsuff\" $vv(lo5)\n"

   mybell 2

  }

}
